

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="_static/default.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="shortcut icon" href="_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><a href="index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            

   <h1 id="index">Index</h1>

   <div class="genindex-jumpbox">
   <a href="#A"><strong>A</strong></a> | <a href="#B"><strong>B</strong></a> | <a href="#C"><strong>C</strong></a> | <a href="#D"><strong>D</strong></a> | <a href="#E"><strong>E</strong></a> | <a href="#F"><strong>F</strong></a> | <a href="#G"><strong>G</strong></a> | <a href="#H"><strong>H</strong></a> | <a href="#I"><strong>I</strong></a> | <a href="#L"><strong>L</strong></a> | <a href="#M"><strong>M</strong></a> | <a href="#N"><strong>N</strong></a> | <a href="#P"><strong>P</strong></a> | <a href="#R"><strong>R</strong></a> | <a href="#S"><strong>S</strong></a> | <a href="#T"><strong>T</strong></a> | <a href="#U"><strong>U</strong></a> | <a href="#W"><strong>W</strong></a> | <a href="#Y"><strong>Y</strong></a> | <a href="#Z"><strong>Z</strong></a> 
   </div>
<h2 id="A">A</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Process.html#pywws.Process.Average.add">add() (pywws.Process.Average method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.Process.html#pywws.Process.Maximum.add">(pywws.Process.Maximum method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.Minimum.add">(pywws.Process.Minimum method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Process.html#pywws.Process.MonthAcc.add_daily">add_daily() (pywws.Process.MonthAcc method)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.DayAcc.add_hourly">add_hourly() (pywws.Process.DayAcc method)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.DayAcc.add_raw">add_raw() (pywws.Process.DayAcc method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.Process.html#pywws.Process.HourAcc.add_raw">(pywws.Process.HourAcc method)</a></dt>
  </dl></dd>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.core_store.after">after() (pywws.DataStore.core_store method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.apparent_temp">apparent_temp() (in module pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.Logger.html#pywws.Logger.ApplicationLogger">ApplicationLogger() (in module pywws.Logger)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.Average">Average (class in pywws.Process)</a></dt>
</dl></td>
</tr></table>

<h2 id="B">B</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.BasePlotter">BasePlotter (class in pywws.Plot)</a></dt>
    <dt><a href="api/SetWeatherStation.html#SetWeatherStation.bcd_encode">bcd_encode() (in module SetWeatherStation)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.core_store.before">before() (pywws.DataStore.core_store method)</a></dt>
</dl></td>
</tr></table>

<h2 id="C">C</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.calib.html#pywws.calib.Calib">Calib (class in pywws.calib)</a></dt>
    <dt><a href="api/pywws.calib.html#pywws.calib.DefaultCalib.calib">calib() (pywws.calib.DefaultCalib method)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.calib_store">calib_store (class in pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.calibrate_data">calibrate_data() (in module pywws.Process)</a></dt>
    <dt><a href="api/pywws.LogData.html#pywws.LogData.Catchup">Catchup() (in module pywws.LogData)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.LogData.html#pywws.LogData.CheckFixedBlock">CheckFixedBlock() (in module pywws.LogData)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.core_store">core_store (class in pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.current_pos">current_pos() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.CUSBDrive">CUSBDrive (class in pywws.WeatherStation)</a></dt>
</dl></td>
</tr></table>

<h2 id="D">D</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.daily_store">daily_store (class in pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.data_store">data_store (class in pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.DayAcc">DayAcc (class in pywws.Process)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.dec_ptr">dec_ptr() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/pywws.calib.html#pywws.calib.DefaultCalib">DefaultCalib (class in pywws.calib)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.dew_point">dew_point() (in module pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.do_live">do_live() (pywws.Tasks.RegularTasks method)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.do_plot">do_plot() (pywws.Tasks.RegularTasks method)</a></dt>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.do_tasks">do_tasks() (pywws.Tasks.RegularTasks method)</a></dt>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.do_template">do_template() (pywws.Tasks.RegularTasks method)</a></dt>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.do_twitter">do_twitter() (pywws.Tasks.RegularTasks method)</a></dt>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.BasePlotter.DoPlot">DoPlot() (pywws.Plot.BasePlotter method)</a></dt>
    <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.LocalTimezone.dst">dst() (pywws.TimeZone.LocalTimezone method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.UTC.dst">(pywws.TimeZone.UTC method)</a></dt>
  </dl></dd>
</dl></td>
</tr></table>

<h2 id="E">E</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/EWtoPy.html#module-EWtoPy">EWtoPy (module)</a></dt>
</dl></td>
</tr></table>

<h2 id="F">F</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.core_store.flush">flush() (pywws.DataStore.core_store method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.DataStore.html#pywws.DataStore.params.flush">(pywws.DataStore.params method)</a></dt>
  </dl></dd>
</dl></td>
</tr></table>

<h2 id="G">G</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Process.html#pywws.Process.generate_daily">generate_daily() (in module pywws.Process)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.generate_hourly">generate_hourly() (in module pywws.Process)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.generate_monthly">generate_monthly() (in module pywws.Process)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.params.get">get() (pywws.DataStore.params method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.get_data">get_data() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.params.get_datetime">get_datetime() (pywws.DataStore.params method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.get_fixed_block">get_fixed_block() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.get_raw_data">get_raw_data() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.get_raw_fixed_block">get_raw_fixed_block() (pywws.WeatherStation.weather_station method)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.get_wind_dir_text">get_wind_dir_text() (in module pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.BasePlotter.GetChildren">GetChildren() (pywws.Plot.BasePlotter method)</a></dt>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter.GetDefaultPlotSize">GetDefaultPlotSize() (pywws.Plot.GraphPlotter method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter.GetDefaultPlotSize">(pywws.WindRose.RosePlotter method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter.GetDefaultRows">GetDefaultRows() (pywws.Plot.GraphPlotter method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter.GetDefaultRows">(pywws.WindRose.RosePlotter method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter.GetPlotList">GetPlotList() (pywws.Plot.GraphPlotter method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter.GetPlotList">(pywws.WindRose.RosePlotter method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter.GetPreamble">GetPreamble() (pywws.Plot.GraphPlotter method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter.GetPreamble">(pywws.WindRose.RosePlotter method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.BasePlotter.GetValue">GetValue() (pywws.Plot.BasePlotter method)</a></dt>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter">GraphPlotter (class in pywws.Plot)</a></dt>
</dl></td>
</tr></table>

<h2 id="H">H</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks.has_live_tasks">has_live_tasks() (pywws.Tasks.RegularTasks method)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.HourAcc">HourAcc (class in pywws.Process)</a></dt>
    <dt><a href="api/Hourly.html#module-Hourly">Hourly (module)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/Hourly.html#Hourly.Hourly">Hourly() (in module Hourly)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.hourly_store">hourly_store (class in pywws.DataStore)</a></dt>
</dl></td>
</tr></table>

<h2 id="I">I</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.illuminance_wm2">illuminance_wm2() (in module pywws.conversions)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.inc_ptr">inc_ptr() (pywws.WeatherStation.weather_station method)</a></dt>
</dl></td>
</tr></table>

<h2 id="L">L</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.live_data">live_data() (pywws.WeatherStation.weather_station method)</a></dt>
    <dt><a href="api/LiveLog.html#module-LiveLog">LiveLog (module)</a></dt>
    <dt><a href="api/LiveLog.html#LiveLog.LiveLog">LiveLog() (in module LiveLog)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.LocalTimezone">LocalTimezone (class in pywws.TimeZone)</a></dt>
    <dt><a href="api/pywws.LogData.html#pywws.LogData.LogData">LogData() (in module pywws.LogData)</a></dt>
</dl></td>
</tr></table>

<h2 id="M">M</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/EWtoPy.html#EWtoPy.main">main() (in module EWtoPy)</a></dt>
    <dd><dl>
      <dt><a href="api/Hourly.html#Hourly.main">(in module Hourly)</a></dt>
      <dt><a href="api/LiveLog.html#LiveLog.main">(in module LiveLog)</a></dt>
      <dt><a href="api/Reprocess.html#Reprocess.main">(in module Reprocess)</a></dt>
      <dt><a href="api/SetWeatherStation.html#SetWeatherStation.main">(in module SetWeatherStation)</a></dt>
      <dt><a href="api/TestWeatherStation.html#TestWeatherStation.main">(in module TestWeatherStation)</a></dt>
      <dt><a href="api/TwitterAuth.html#TwitterAuth.main">(in module TwitterAuth)</a></dt>
      <dt><a href="api/USBQualityTest.html#USBQualityTest.main">(in module USBQualityTest)</a></dt>
      <dt><a href="api/pywws.Forecast.html#pywws.Forecast.main">(in module pywws.Forecast)</a></dt>
      <dt><a href="api/pywws.Localisation.html#pywws.Localisation.main">(in module pywws.Localisation)</a></dt>
      <dt><a href="api/pywws.LogData.html#pywws.LogData.main">(in module pywws.LogData)</a></dt>
      <dt><a href="api/pywws.Plot.html#pywws.Plot.main">(in module pywws.Plot)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.main">(in module pywws.Process)</a></dt>
      <dt><a href="api/pywws.Template.html#pywws.Template.main">(in module pywws.Template)</a></dt>
      <dt><a href="api/pywws.ToTwitter.html#pywws.ToTwitter.main">(in module pywws.ToTwitter)</a></dt>
      <dt><a href="api/pywws.Upload.html#pywws.Upload.main">(in module pywws.Upload)</a></dt>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.main">(in module pywws.WindRose)</a></dt>
      <dt><a href="api/pywws.YoWindow.html#pywws.YoWindow.main">(in module pywws.YoWindow)</a></dt>
      <dt><a href="api/pywws.toservice.html#pywws.toservice.main">(in module pywws.toservice)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Template.html#pywws.Template.Template.make_file">make_file() (pywws.Template.Template method)</a></dt>
    <dt><a href="api/pywws.Template.html#pywws.Template.Template.make_text">make_text() (pywws.Template.Template method)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.Maximum">Maximum (class in pywws.Process)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Process.html#pywws.Process.Minimum">Minimum (class in pywws.Process)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.MonthAcc">MonthAcc (class in pywws.Process)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.monthly_store">monthly_store (class in pywws.DataStore)</a></dt>
</dl></td>
</tr></table>

<h2 id="N">N</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.core_store.nearest">nearest() (pywws.DataStore.core_store method)</a></dt>
</dl></td>
</tr></table>

<h2 id="P">P</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.params">params (class in pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.GraphPlotter.PlotData">PlotData() (pywws.Plot.GraphPlotter method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter.PlotData">(pywws.WindRose.RosePlotter method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.pressure_inhg">pressure_inhg() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.pressure_trend_text">pressure_trend_text() (in module pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.Process">Process() (in module pywws.Process)</a></dt>
    <dt><a href="api/pywws.Template.html#pywws.Template.Template.process">process() (pywws.Template.Template method)</a></dt>
    <dt><a href="api/pywws.calib.html#module-pywws.calib">pywws.calib (module)</a></dt>
    <dt><a href="api/pywws.conversions.html#module-pywws.conversions">pywws.conversions (module)</a></dt>
    <dt><a href="api/pywws.DataStore.html#module-pywws.DataStore">pywws.DataStore (module)</a></dt>
    <dt><a href="api/pywws.device_cython_hidapi.html#module-pywws.device_cython_hidapi">pywws.device_cython_hidapi (module)</a></dt>
    <dt><a href="api/pywws.device_pyusb.html#module-pywws.device_pyusb">pywws.device_pyusb (module)</a></dt>
    <dt><a href="api/pywws.Forecast.html#module-pywws.Forecast">pywws.Forecast (module)</a></dt>
    <dt><a href="api/pywws.Localisation.html#module-pywws.Localisation">pywws.Localisation (module)</a></dt>
    <dt><a href="api/pywws.LogData.html#module-pywws.LogData">pywws.LogData (module)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Logger.html#module-pywws.Logger">pywws.Logger (module)</a></dt>
    <dt><a href="api/pywws.Plot.html#module-pywws.Plot">pywws.Plot (module)</a></dt>
    <dt><a href="api/pywws.Process.html#module-pywws.Process">pywws.Process (module)</a></dt>
    <dt><a href="api/pywws.Tasks.html#module-pywws.Tasks">pywws.Tasks (module)</a></dt>
    <dt><a href="api/pywws.Template.html#module-pywws.Template">pywws.Template (module)</a></dt>
    <dt><a href="api/pywws.TimeZone.html#module-pywws.TimeZone">pywws.TimeZone (module)</a></dt>
    <dt><a href="api/pywws.toservice.html#module-pywws.toservice">pywws.toservice (module)</a></dt>
    <dt><a href="api/pywws.ToTwitter.html#module-pywws.ToTwitter">pywws.ToTwitter (module)</a></dt>
    <dt><a href="api/pywws.Upload.html#module-pywws.Upload">pywws.Upload (module)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#module-pywws.WeatherStation">pywws.WeatherStation (module)</a></dt>
    <dt><a href="api/pywws.WindRose.html#module-pywws.WindRose">pywws.WindRose (module)</a></dt>
    <dt><a href="api/pywws.YoWindow.html#module-pywws.YoWindow">pywws.YoWindow (module)</a></dt>
    <dt><a href="api/pywws.ZambrettiCore.html#module-pywws.ZambrettiCore">pywws.ZambrettiCore (module)</a></dt>
</dl></td>
</tr></table>

<h2 id="R">R</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.rain_inch">rain_inch() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.toservice.html#pywws.toservice.ToService.RapidFire">RapidFire() (pywws.toservice.ToService method)</a></dt>
    <dt><a href="api/TestWeatherStation.html#TestWeatherStation.raw_dump">raw_dump() (in module TestWeatherStation)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.CUSBDrive.read_block">read_block() (pywws.WeatherStation.CUSBDrive method)</a></dt>
    <dt><a href="api/pywws.device_cython_hidapi.html#pywws.device_cython_hidapi.USBDevice.read_data">read_data() (pywws.device_cython_hidapi.USBDevice method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.device_pyusb.html#pywws.device_pyusb.USBDevice.read_data">(pywws.device_pyusb.USBDevice method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Plot.html#pywws.Plot.Record">Record (class in pywws.Plot)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Tasks.html#pywws.Tasks.RegularTasks">RegularTasks (class in pywws.Tasks)</a></dt>
    <dt><a href="api/Reprocess.html#module-Reprocess">Reprocess (module)</a></dt>
    <dt><a href="api/Reprocess.html#Reprocess.Reprocess">Reprocess() (in module Reprocess)</a></dt>
    <dt><a href="api/pywws.Process.html#pywws.Process.DayAcc.reset">reset() (pywws.Process.DayAcc method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.Process.html#pywws.Process.HourAcc.reset">(pywws.Process.HourAcc method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.MonthAcc.reset">(pywws.Process.MonthAcc method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.Process.html#pywws.Process.Average.result">result() (pywws.Process.Average method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.Process.html#pywws.Process.DayAcc.result">(pywws.Process.DayAcc method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.HourAcc.result">(pywws.Process.HourAcc method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.Maximum.result">(pywws.Process.Maximum method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.Minimum.result">(pywws.Process.Minimum method)</a></dt>
      <dt><a href="api/pywws.Process.html#pywws.Process.MonthAcc.result">(pywws.Process.MonthAcc method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.WindRose.html#pywws.WindRose.RosePlotter">RosePlotter (class in pywws.WindRose)</a></dt>
</dl></td>
</tr></table>

<h2 id="S">S</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.safestrptime">safestrptime() (in module pywws.DataStore)</a></dt>
    <dt><a href="api/pywws.toservice.html#pywws.toservice.ToService.send_data">send_data() (pywws.toservice.ToService method)</a></dt>
    <dt><a href="api/pywws.DataStore.html#pywws.DataStore.params.set">set() (pywws.DataStore.params method)</a></dt>
    <dt><a href="api/pywws.Localisation.html#pywws.Localisation.SetApplicationLanguage">SetApplicationLanguage() (in module pywws.Localisation)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Localisation.html#pywws.Localisation.SetLocale">SetLocale() (in module pywws.Localisation)</a></dt>
    <dt><a href="api/pywws.Localisation.html#pywws.Localisation.SetTranslation">SetTranslation() (in module pywws.Localisation)</a></dt>
    <dt><a href="api/SetWeatherStation.html#module-SetWeatherStation">SetWeatherStation (module)</a></dt>
</dl></td>
</tr></table>

<h2 id="T">T</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.temp_f">temp_f() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.Template.html#pywws.Template.Template">Template (class in pywws.Template)</a></dt>
    <dt><a href="api/TestWeatherStation.html#module-TestWeatherStation">TestWeatherStation (module)</a></dt>
    <dt><a href="api/pywws.toservice.html#pywws.toservice.ToService">ToService (class in pywws.toservice)</a></dt>
    <dt><a href="api/pywws.ToTwitter.html#pywws.ToTwitter.ToTwitter">ToTwitter (class in pywws.ToTwitter)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.toservice.html#pywws.toservice.ToService.translate_data">translate_data() (pywws.toservice.ToService method)</a></dt>
    <dt><a href="api/TwitterAuth.html#module-TwitterAuth">TwitterAuth (module)</a></dt>
    <dt><a href="api/TwitterAuth.html#TwitterAuth.TwitterAuth">TwitterAuth() (in module TwitterAuth)</a></dt>
    <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.LocalTimezone.tzname">tzname() (pywws.TimeZone.LocalTimezone method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.UTC.tzname">(pywws.TimeZone.UTC method)</a></dt>
  </dl></dd>
</dl></td>
</tr></table>

<h2 id="U">U</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Upload.html#pywws.Upload.Upload">Upload() (in module pywws.Upload)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.ToTwitter.html#pywws.ToTwitter.ToTwitter.Upload">(pywws.ToTwitter.ToTwitter method)</a></dt>
      <dt><a href="api/pywws.toservice.html#pywws.toservice.ToService.Upload">(pywws.toservice.ToService method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.ToTwitter.html#pywws.ToTwitter.ToTwitter.UploadFile">UploadFile() (pywws.ToTwitter.ToTwitter method)</a></dt>
    <dt><a href="api/pywws.device_cython_hidapi.html#pywws.device_cython_hidapi.USBDevice">USBDevice (class in pywws.device_cython_hidapi)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.device_pyusb.html#pywws.device_pyusb.USBDevice">(class in pywws.device_pyusb)</a></dt>
  </dl></dd>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/USBQualityTest.html#module-USBQualityTest">USBQualityTest (module)</a></dt>
    <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.UTC">UTC (class in pywws.TimeZone)</a></dt>
    <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.LocalTimezone.utcoffset">utcoffset() (pywws.TimeZone.LocalTimezone method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.TimeZone.html#pywws.TimeZone.UTC.utcoffset">(pywws.TimeZone.UTC method)</a></dt>
  </dl></dd>
</dl></td>
</tr></table>

<h2 id="W">W</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station">weather_station (class in pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.wind_bft">wind_bft() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.wind_chill">wind_chill() (in module pywws.WeatherStation)</a></dt>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.wind_kmph">wind_kmph() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.wind_kn">wind_kn() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.wind_mph">wind_mph() (in module pywws.conversions)</a></dt>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.winddir_degrees">winddir_degrees() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.conversions.html#pywws.conversions.winddir_text">winddir_text() (in module pywws.conversions)</a></dt>
    <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.CUSBDrive.write_byte">write_byte() (pywws.WeatherStation.CUSBDrive method)</a></dt>
    <dt><a href="api/pywws.device_cython_hidapi.html#pywws.device_cython_hidapi.USBDevice.write_data">write_data() (pywws.device_cython_hidapi.USBDevice method)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.WeatherStation.html#pywws.WeatherStation.weather_station.write_data">(pywws.WeatherStation.weather_station method)</a></dt>
      <dt><a href="api/pywws.device_pyusb.html#pywws.device_pyusb.USBDevice.write_data">(pywws.device_pyusb.USBDevice method)</a></dt>
  </dl></dd>
    <dt><a href="api/pywws.YoWindow.html#pywws.YoWindow.YoWindow.write_file">write_file() (pywws.YoWindow.YoWindow method)</a></dt>
</dl></td>
</tr></table>

<h2 id="Y">Y</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.YoWindow.html#pywws.YoWindow.YoWindow">YoWindow (class in pywws.YoWindow)</a></dt>
</dl></td>
</tr></table>

<h2 id="Z">Z</h2>
<table width="100%" class="indextable genindextable"><tr>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.Forecast.html#pywws.Forecast.Zambretti">Zambretti() (in module pywws.Forecast)</a></dt>
    <dt><a href="api/pywws.Forecast.html#pywws.Forecast.ZambrettiCode">ZambrettiCode() (in module pywws.Forecast)</a></dt>
    <dd><dl>
      <dt><a href="api/pywws.ZambrettiCore.html#pywws.ZambrettiCore.ZambrettiCode">(in module pywws.ZambrettiCore)</a></dt>
  </dl></dd>
</dl></td>
  <td width="33%" valign="top"><dl>
    <dt><a href="api/pywws.ZambrettiCore.html#pywws.ZambrettiCore.ZambrettiText">ZambrettiText() (in module pywws.ZambrettiCore)</a></dt>
</dl></td>
</tr></table>



          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">

   

<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><a href="index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>